import React from 'react';
import './App.css';
import { BrowserRouter as Router, Route, Switch, Link } from 'react-router-dom';
import { Home } from './Home';
import { Page1 } from './Page1';
import { Page2 } from './Page2';

function App() {
  return (
	<Router>
		<nav>
          <ul>
            <li>
              <Link to="/">Home</Link>
            </li>
            <li>
              <Link to="/page1">Page 1</Link>
            </li>
            <li>
              <Link to="/page2">Page 2</Link>
            </li>
          </ul>
        </nav>
		
        <Switch>
          <Route exact path='/' component={Home} />
          <Route path='/page1' component={Page1} />
          <Route path='/page2' component={Page2} />
        </Switch>
	</Router>
  );
}

export default App;
